Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[qt overlay] Qt beta and live ebuilds & Qt4 apps
View unanswered posts
View posts from last 24 hours

Goto page 1, 2, 3 ... 14, 15, 16  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Fri Jan 23, 2009 10:22 pm    Post subject: [qt overlay] Qt beta and live ebuilds & Qt4 apps Reply with quote

Qt Overlay

Updated: 04-02-2012

In this overlay you can find the following Qt live ebuilds

1) qt-4.8.9999 -> Live ebuilds from Nokia's 4.8 git branch
2) qt-4.9999 -> Live ebuilds from Nokia's master repository

Also, the following qt4 applications are included :

1) qt-creator ( live and testing ebuilds )
2) Snapshots for PyQt4 and sip
3) Razor-qt (live and testing ebuilds)

and many more :)

Make sure that you have read Documentation/README file first, before emerging any qt packages :)

Installation:

First way ( layman ):

Code:
layman -a qt


Second way (Direct git clone)

Code:
git clone git://git.overlays.gentoo.org/proj/qt.git


You can browse the overlay using the below link

http://git.overlays.gentoo.org/gitweb/?p=proj/qt.git;a=summary


Last edited by Hwoarang on Sat Feb 04, 2012 9:41 am; edited 20 times in total
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 366
Location: Ekaterinburg, Russia

PostPosted: Tue Jan 27, 2009 11:27 am    Post subject: Reply with quote

can not build qt-core.
USE="glib pch* qt3support ssl -custom-cxxflags% -debug doc"
Code:
make[1]: Entering directory `/var/tmp/portage/x11-libs/qt-core-4.9999/work/qt-x11-opensource-src-4.9999/tools/qdoc3'
make[1]: Цель `first' не требует выполнения команд.
make[1]: Leaving directory `/var/tmp/portage/x11-libs/qt-core-4.9999/work/qt-x11-opensource-src-4.9999/tools/qdoc3'
(cd /var/tmp/portage/x11-libs/qt-core-4.9999/work/qt-x11-opensource-src-4.9999/tools/qdoc3/test && QT_BUILD_TREE=/var/tmp/portage/x11-libs/qt-core-4.9999/work/qt-x11-opensource-src-4.9999 QT_SOURCE_TREE=/var/tmp/portage/x11-libs/qt-core-4.9999/work/qt-x11-opensource-src-4.9999 /var/tmp/portage/x11-libs/qt-core-4.9999/work/qt-x11-opensource-src-4.9999/tools/qdoc3/qdoc3 -Dopensourceedition qt-build-docs.qdocconf)
/var/tmp/portage/x11-libs/qt-core-4.9999/work/qt-x11-opensource-src-4.9999/doc/src/wince-customization.qdoc:57: Cannot find example file 'doc/src/snippets/code/doc_src_wince-customization.qdoc'
/var/tmp/portage/x11-libs/qt-core-4.9999/work/qt-x11-opensource-src-4.9999/doc/src/wince-customization.qdoc:57: Unexpected '\snippet (//! [0])'
..................................................................

qdoc: Cannot find file 'qws/simpledecoration/simpledecoration.pro' or 'qws/simpledecoration/qbuild.pro'
/var/tmp/portage/x11-libs/qt-core-4.9999/work/qt-x11-opensource-src-4.9999/tools/qdoc3/qdoc3: symbol lookup error: /var/tmp/portage/x11-libs/qt-core-4.9999/work/qt-x11-opensource-src-4.9999/tools/qdoc3/qdoc3: undefined symbol: _ZNK7QString7indexOfER7QRegExpi

_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Tue Jan 27, 2009 12:14 pm    Post subject: Reply with quote

Your output doesnt help me understand much.

Could you please post the file

/var/tmp/portage/x11-libs/qt-core-4.9999/temp/build.log

Thanks :)
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 366
Location: Ekaterinburg, Russia

PostPosted: Tue Jan 27, 2009 5:22 pm    Post subject: Reply with quote

Hwoarang wrote:
Could you please post the file

/var/tmp/portage/x11-libs/qt-core-4.9999/temp/build.log
maybe tomorrow. or you can try yourself
USE=doc emerge =qt-core-4.9999
_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Tue Jan 27, 2009 5:25 pm    Post subject: Reply with quote

It works fine here and thats why I am asking :)
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 366
Location: Ekaterinburg, Russia

PostPosted: Wed Jan 28, 2009 6:32 am    Post subject: Reply with quote

Hwoarang wrote:
It works fine here and thats why I am asking :)
heh, just tried to recompile. seem to be fixed :-))
i also noticed changes in overlay and qt repo.
_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 366
Location: Ekaterinburg, Russia

PostPosted: Wed Jan 28, 2009 8:38 am    Post subject: Reply with quote

Code:
>>> Emerging (1 of 1) dev-util/qt-creator-9999 from qting-edge
>>> Creating Manifest for /usr/local/portage/layman/qting-edge/dev-util/qt-creator
 * checking ebuild checksums ;-) ...                                                                                                 [ ok ]
 * checking auxfile checksums ;-) ...                                                                                                [ ok ]
 * checking miscfile checksums ;-) ...                                                                                               [ ok ]
You should enable -g (or higher) for debugging!
>>> Creating Manifest for /usr/local/portage/layman/qting-edge/dev-util/qt-creator
>>> Unpacking source...
 * git clone start -->
 *    repository: git://labs.trolltech.com/qt-creator
Initialized empty Git repository in /usr/distfiles/git-src/qt-creator/
remote: Counting objects: 15879, done.
remote: Compressing objects: 100% (5392/5392), done.
remote: Total 15879 (delta 12893), reused 13215 (delta 10426)
Receiving objects: 100% (15879/15879), 13.40 MiB | 225 KiB/s, done.
Resolving deltas: 100% (12893/12893), done.
 *    local clone: /usr/distfiles/git-src/qt-creator
 *    committish: master
>>> Unpacked to /var/tmp/portage/dev-util/qt-creator-9999/work/qt-creator-9999
 * Applying fix_headers.patch ...

 * Failed Patch: fix_headers.patch !
 *  ( /usr/local/portage/layman/qting-edge/dev-util/qt-creator/files/fix_headers.patch )


UPD: path in patch is incorrect

SECOND problem: why qt-creator installs with prefix=/ but not prefix=/usr/ ?
_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Fri Jan 30, 2009 12:39 pm    Post subject: Reply with quote

Anyone tried KDE 4 (.2 or SVN) on top of qt 4.9999?
If yes, do you also get all sorts of segfaults in dmesg for all sorts of KDE 4 stuff, like:
Code:
nepomukserver[4840]: segfault at 0 ip 00007f43fd4ac827 sp 00007fff0744c280 error 4 in libQtCore.so.4.5.0[7f43fd454000+229000]
kio_http_cache_[9911]: segfault at 0 ip 00007f8bf2769827 sp 00007ffffb2be000 error 4 in libQtCore.so.4.5.0[7f8bf2711000+229000]
kconf_update[25802]: segfault at 0 ip 00007f1ab82bd827 sp 00007fffc0e14bd0 error 4 in libQtCore.so.4.5.0[7f1ab8265000+229000]

KDE4 works fine, no problem at all. It's just that those messages appear quite frequently.

I'm still using qt-4.5 snapshot ebuilds, and wonder if it's a problem with those, or a problem with KDE4 vs. qt-4.5.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
aliquid
n00b
n00b


Joined: 14 Mar 2008
Posts: 37

PostPosted: Fri Jan 30, 2009 1:51 pm    Post subject: Reply with quote

gimpel wrote:
Anyone tried KDE 4 (.2 or SVN) on top of qt 4.9999?
If yes, do you also get all sorts of segfaults in dmesg for all sorts of KDE 4 stuff, like:
Code:
nepomukserver[4840]: segfault at 0 ip 00007f43fd4ac827 sp 00007fff0744c280 error 4 in libQtCore.so.4.5.0[7f43fd454000+229000]
kio_http_cache_[9911]: segfault at 0 ip 00007f8bf2769827 sp 00007ffffb2be000 error 4 in libQtCore.so.4.5.0[7f8bf2711000+229000]
kconf_update[25802]: segfault at 0 ip 00007f1ab82bd827 sp 00007fffc0e14bd0 error 4 in libQtCore.so.4.5.0[7f1ab8265000+229000]

KDE4 works fine, no problem at all. It's just that those messages appear quite frequently.

I'm still using qt-4.5 snapshot ebuilds, and wonder if it's a problem with those, or a problem with KDE4 vs. qt-4.5.


I don't have nepomuk installed but instead I have these:
Code:

kdostartupconfi[1814]: segfault at 0 ip 00007fc294722727 sp 00007fff9d3e8670 error 4 in libQtCore.so.4.5.0[7fc2946cb000+22a000]
kconf_update[1848]: segfault at 0 ip 00007f5d9dd39727 sp 00007fffa6c0ac90 error 4 in libQtCore.so.4.5.0[7f5d9dce2000+22a000]
kio_http_cache_[1951]: segfault at 0 ip 00007fc764e17727 sp 00007fff6e765650 error 4 in libQtCore.so.4.5.0[7fc764dc0000+22a000]
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sat Jan 31, 2009 11:19 am    Post subject: Reply with quote

Rion wrote:
Code:
>>> Emerging (1 of 1) dev-util/qt-creator-9999 from qting-edge
>>> Creating Manifest for /usr/local/portage/layman/qting-edge/dev-util/qt-creator
 * checking ebuild checksums ;-) ...                                                                                                 [ ok ]
 * checking auxfile checksums ;-) ...                                                                                                [ ok ]
 * checking miscfile checksums ;-) ...                                                                                               [ ok ]
You should enable -g (or higher) for debugging!
>>> Creating Manifest for /usr/local/portage/layman/qting-edge/dev-util/qt-creator
>>> Unpacking source...
 * git clone start -->
 *    repository: git://labs.trolltech.com/qt-creator
Initialized empty Git repository in /usr/distfiles/git-src/qt-creator/
remote: Counting objects: 15879, done.
remote: Compressing objects: 100% (5392/5392), done.
remote: Total 15879 (delta 12893), reused 13215 (delta 10426)
Receiving objects: 100% (15879/15879), 13.40 MiB | 225 KiB/s, done.
Resolving deltas: 100% (12893/12893), done.
 *    local clone: /usr/distfiles/git-src/qt-creator
 *    committish: master
>>> Unpacked to /var/tmp/portage/dev-util/qt-creator-9999/work/qt-creator-9999
 * Applying fix_headers.patch ...

 * Failed Patch: fix_headers.patch !
 *  ( /usr/local/portage/layman/qting-edge/dev-util/qt-creator/files/fix_headers.patch )


UPD: path in patch is incorrect


SECOND problem: why qt-creator installs with prefix=/ but not prefix=/usr/ ?


1)Apparently the upstream did some changes and an make the patch invalid. I ll modify it . Thanks for mention it. As you understand its hard to support live ebuilds cause the upstream is doing changes all the time :(

2)qt creator doesnt install much in your system. Just 5-6 libs and a binary file .

Is there a specific issue you would like me to check?
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 366
Location: Ekaterinburg, Russia

PostPosted: Sun Feb 01, 2009 1:28 pm    Post subject: Reply with quote

http://lists.trolltech.com/pipermail/qt4-preview-feedback/2009-February/000366.html is most annoying bug for me.
of course its not overlay related..
_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 366
Location: Ekaterinburg, Russia

PostPosted: Mon Feb 02, 2009 7:57 am    Post subject: Reply with quote

just tried to remove all qt staff from my system and install qt-4.9999
got next error while compiling qt-core
Code:
/var/tmp/portage/x11-libs/qt-core-4.9999/work/qt-x11-opensource-src-4.9999/tools/qdoc3/qdoc3: error while loading shared libraries: libQtXml.so.4: cannot open shared object file: No such file or directory

USE="doc glib pch qt3support ssl -custom-cxxflags -debug"
_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Mon Feb 02, 2009 11:11 am    Post subject: Reply with quote

Seems to me that I cant reprocude it here.

As i said before, dont show us only the error. I need to see the whole build.log file to understand what is going on. But since it compiles fine here I would say to try again. Maybe upstream was messing around but now its fixed :)
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 366
Location: Ekaterinburg, Russia

PostPosted: Mon Feb 02, 2009 11:36 am    Post subject: Reply with quote

Hwoarang wrote:
Maybe upstream was messing around but now its fixed :)
nevermind. i've already compiled with USE="-doc" :-)
AFAIK, libqtxml is part of qt-core. probably something wrong in their makefiles. btw, MAKEOPTS="-j2".
_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Mon Feb 02, 2009 1:23 pm    Post subject: Reply with quote

Still, I cant reproduce it with doc flag enabled :)
Back to top
View user's profile Send private message
Riklaunim
Apprentice
Apprentice


Joined: 16 Dec 2004
Posts: 286
Location: Poland

PostPosted: Tue Feb 03, 2009 12:43 pm    Post subject: Reply with quote

There are some qt widgets on qt-apps.org, that are very usefull (qtermwidget, pictureflow - use SVN...) so what about adding them to the overlay? Also for PyQt4 I've made bindings to qtermwidget and qf-macnavbar. Poppler PyQt4 bindings: http://svn.pardus.org.tr/uludag/trunk/pypoppler-qt4/ :)
I have some ebuild for those packages, but they are "bad", realy bad ;)
_________________
Biblioteka CMS i PHP | Biblioteka Linuksa | Biblioteka cRPG | Biblioteka Pythona
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 366
Location: Ekaterinburg, Russia

PostPosted: Tue Feb 03, 2009 1:06 pm    Post subject: Reply with quote

i've modified install section of qt-creator-9999
Code:
src_install() {
   emake INSTALL_ROOT="${D}/usr" install || die "emake install failed"
   make_desktop_entry qtcreator QtCreator qtcreator_logo_128.png \
      'Qt;Development;IDE' || die "make_desktop_entry failed"
}

now it installs as expected on gentoo.
_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Tue Feb 03, 2009 1:35 pm    Post subject: Reply with quote

Rion wrote:
i've modified install section of qt-creator-9999
Code:
src_install() {
   emake INSTALL_ROOT="${D}/usr" install || die "emake install failed"
   make_desktop_entry qtcreator QtCreator qtcreator_logo_128.png \
      'Qt;Development;IDE' || die "make_desktop_entry failed"
}

now it installs as expected on gentoo.


Sounds about right :). I will take a look :)

@Riklaunim

Sure why not :). We ll fix them if they are bad. But note that I am short on time now due to university exams. I will be able to handle them in about 3 weeks or maybe another dev can find time and do it ;)
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 366
Location: Ekaterinburg, Russia

PostPosted: Tue Feb 03, 2009 1:40 pm    Post subject: Reply with quote

arora-9999-r2 does not even try to unpack.
I guess some eclass overrides unpack function with wrong one.
_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Tue Feb 03, 2009 1:45 pm    Post subject: Reply with quote

Fixed :). Seems I broke it last night :P

Thanks for reporting
Back to top
View user's profile Send private message
Riklaunim
Apprentice
Apprentice


Joined: 16 Dec 2004
Posts: 286
Location: Poland

PostPosted: Tue Feb 03, 2009 3:04 pm    Post subject: Reply with quote

Ok, I'll look on those ebulds and check which do work, and which doesn't and I'll publish them :)
_________________
Biblioteka CMS i PHP | Biblioteka Linuksa | Biblioteka cRPG | Biblioteka Pythona
Back to top
View user's profile Send private message
neuron
Advocate
Advocate


Joined: 28 May 2002
Posts: 2371

PostPosted: Thu Feb 05, 2009 10:17 am    Post subject: Reply with quote

qt-creator-9999 needs EAPI=2 set, other than that, great work :)
Back to top
View user's profile Send private message
gaelic
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2003
Posts: 119
Location: Vienna, Austria, Europe, World, Solar System, Milky Way, Universe

PostPosted: Thu Feb 05, 2009 10:33 am    Post subject: Reply with quote

i`ve got several problems with qt 4.5 and kde 4.2:

lancelot takes up 100% cpu (no problem with qt 4.4)
fonts don`t work when switching tasks (alt-tab)
strange behaviour, difficult to describe (seems to be slower, composite errors, etc.)

back to 4.4 for now.
Back to top
View user's profile Send private message
neuron
Advocate
Advocate


Joined: 28 May 2002
Posts: 2371

PostPosted: Thu Feb 05, 2009 10:42 am    Post subject: Reply with quote

My only problem so far is that kde4.2's kio_http doesn't seem to work at all, not with webkit and not with khtml, which means anything pulling online data just dies, including akregator + konqueror.

Gonna try to rebuild all of kde and see if that solves it, but I rebuilt kdelibs and konqueror (and webkit-kpart) without success.

Unable to create io-slave: klauncher said: Error loading 'kio_http'.
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Thu Feb 05, 2009 9:14 pm    Post subject: Reply with quote

qt-copy in kde's svn got updated to qt-4.5.0-rc1, so at least trunk should be on par with that soon.

EDIT: 4.5.0-rc1 indeed fixes all those segfaults for me.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page 1, 2, 3 ... 14, 15, 16  Next
Page 1 of 16

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum